Package com.io7m.idstore.user_client.internal

# Class IdUHandlerDisconnected

java.lang.Object
com.io7m.idstore.user_client.internal.IdUHandlerAbstract
com.io7m.idstore.user_client.internal.IdUHandlerDisconnected

All Implemented Interfaces:
  `com.io7m.hibiscus.basic.HBClientHandlerType<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>`, `IdUHandlerType`

public final class IdUHandlerDisconnected extends IdUHandlerAbstract
The initial "disconnected" protocol handler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUHandlerDisconnected(IdUClientConfiguration inConfiguration, IdStrings inStrings, HttpClient inHttpClient)`
  Construct a handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDisconnect()`
  `com.io7m.hibiscus.api.HBResultType<IdUResponseType,IdUResponseError>`
  `onExecuteCommand(IdUCommandType<?> command)`
  `com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>,IdUResponseError>`
  `onExecuteLogin(IdUClientCredentials credentials)`
  `boolean`
  `onIsConnected()`
  `List<IdUClientEventType>`
  `onPollEvents()`

  ### Methods inherited from class com.io7m.idstore.user_client.internal.IdUHandlerAbstract

  `configuration, httpClient, local, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUHandlerDisconnected

    public IdUHandlerDisconnected(IdUClientConfiguration inConfiguration, IdStrings inStrings, HttpClient inHttpClient)
    Construct a handler.
    Parameters:
      `inConfiguration` - The configuration
      `inStrings` - The string resources
      `inHttpClient` - The client

- ## Method Details

  - ### onIsConnected

    public boolean onIsConnected()

  - ### onPollEvents

    public List<IdUClientEventType> onPollEvents()

  - ### onExecuteLogin

    public com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>,IdUResponseError> onExecuteLogin(IdUClientCredentials credentials) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### onExecuteCommand

    public com.io7m.hibiscus.api.HBResultType<IdUResponseType,IdUResponseError> onExecuteCommand(IdUCommandType<?> command)

  - ### onDisconnect

    public void onDisconnect()